/* Woocommerce mode */

.wooinner .woocommerce {
    display: flex;
    gap: 40px;
}

.wooinner .woocommerce .woocommerce-cart-form {
    width: 100%;
}

.wooinner .woocommerce .cart-collaterals {
    width: 100%;
    max-width: 400px;
}

.wooinner .woocommerce .cart_totals {
    width: 100%;
}

.wooinner .woocommerce .wc-proceed-to-checkout a {
    background: #404040;
    border: 1px solid #404040;
    color: #fff;
    font-weight: 400;
    font-size: 16px;
    outline: none;
    padding: 10px 20px;
    transition: all .2s;
    border-radius: 4px;
    text-align: center;
    display: block;

    margin-top: 20px;
}

.wooinner .woocommerce .wc-proceed-to-checkout a:hover {
    background: #000;
}

.woocommerce table.shop_table {
    border: none;
    border-collapse: collapse;
    border-radius: 0;
    margin: auto;
}

.woocommerce table.shop_table th {
    font-weight: 500;
    padding: 24px;
    line-height: 1;
}

.woocommerce table.shop_table td {
    border: 1px solid #c4c4c4;
    padding: 24px;
    font-weight: 300;
}

.woocommerce table.shop_table tbody:first-child tr:first-child td,
.woocommerce table.shop_table tbody:first-child tr:first-child th {
    border-top: 1px solid #c4c4c4;
}

.woocommerce table.shop_table tbody th,
.woocommerce table.shop_table tfoot td,
.woocommerce table.shop_table tfoot th {
    font-weight: 500;
}

.order-total strong {
    font-weight: 500;
}

.woocommerce .cart .button,
.woocommerce .cart input.button {
    font-weight: 400;
    font-size: 16px;
    outline: none;
    padding: 10px 20px;
    transition: all .2s;
    border-radius: 4px;
    text-align: center;
    display: inline-block;

    height: 42px;
}

.input-text {
    /* font-size: 16px;
    border-width: 0;
    background: var(--color-landsc);
    padding: 12px 16px; */
    text-align: left;
    font-size: var(--txt-main);
    color: var(--color-txt-main);
    width: var(--width-bl-100);
    height: var(--height-middle-px);
    padding: var(--pd-x-y-small);
    border-radius: var(--radius-small);
    -moz-border-radius: var(--radius-small);
    -webkit-border-radius: var(--radius-small);
    background: var(--color-light);
    border: var(--border-min) var(--border-solid) var(--color-secondary);
}

.coupon .input-text {
    width: 140px !important;
    margin-right: 10px;
}

/* Woocommerce notices */
.woocommerce-notices-wrapper {
    position: fixed;
    width: 100%;
    bottom: 20px;
    left: 0;
    z-index: 100;
}

.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
    max-width: 1400px;
    margin: auto;
    margin-bottom: 15px;
}

.woocommerce-message {
    border: 3px solid #a46497;
    border-color: #8fae1b;
}

.woocommerce-notices-wrapper .woocommerce-message .button,
.woocommerce-notices-wrapper .woocommerce-message .button:hover,
.woocommerce-notices-wrapper .woocommerce-message .button:focus,
.woocommerce-notices-wrapper .woocommerce-message .button:active {
    background-color: transparent;
    padding: 0;
}

/* Woocommerce Card */
.cart_totals h2 {
    margin-top: -48px;
}

.wooinner {
    min-height: calc(100vh - 120px - 470px);
}

a.button.wc-backward {
    background: #404040;
    border: 1px solid #404040;
    color: #fff;
    font-weight: 400;
    font-size: 16px;
    outline: none;
    padding: 10px 20px;
    transition: all .2s;
    border-radius: 4px;
    text-align: center;
    display: block;
}

.wooinner .woocommerce .cart-empty.woocommerce-info {
    width: 100%;
}

.return-to-shop {
    margin: 0;
    white-space: nowrap;
}

/* Woocommerce Account */
.account-page .woocommerce {
    display: flex;
    gap: 40px;
}

.woocommerce-MyAccount-navigation {
    min-width: 250px;
}

.woocommerce-MyAccount-content {
    width: 100%;
}

.woocommerce-MyAccount-navigation ul {
    padding: 0;
    list-style: none;
}

.woocommerce-MyAccount-navigation ul li {
    text-align: left;
    border: 1px solid var(--color-secondary);
    color: var(--color-txt-main);
    margin-top: -1px;
    background: var(--color-landsc);
}

.woocommerce-MyAccount-navigation ul li a {
    width: calc(100% - 20px);
    display: block;
    padding: 10px;
    transition: 0.2s;
}

.woocommerce-MyAccount-navigation ul li a:hover {
    background: var(--color-primary);
    color: var(--color-landsc);
}

.woocommerce-MyAccount-navigation ul li:first-child {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.woocommerce-MyAccount-navigation ul li:last-child {
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

.woocommerce-cart table.cart td.actions .coupon .input-text {
    text-align: left;
    font-size: var(--txt-main);
    color: var(--color-txt-main);
    width: var(--width-bl-100);
    height: var(--height-middle-px);
    padding: var(--pd-x-y-small);
    border-radius: var(--radius-small);
    -moz-border-radius: var(--radius-small);
    -webkit-border-radius: var(--radius-small);
    background: var(--color-light);
    border: var(--border-min) var(--border-solid) var(--color-secondary);
    /* float: none;
    box-sizing: inherit;
    border-width: 0;
    margin: 0;
    padding: 12px 16px;

    margin-right: 8px; */
}

.woocommerce-cart .wc-proceed-to-checkout {
    padding: 0;
}

.woocommerce-cart .cart-collaterals .cart_totals table {
    border-collapse: collapse;
}

.woocommerce-cart .cart-collaterals .cart_totals tr th,
.woocommerce-checkout .cart-collaterals .cart_totals tr td,
.woocommerce table.shop_table tbody:first-child tr:first-child td,
.woocommerce-cart .cart-collaterals .cart_totals tr td {
    border: 1px solid var(--color-secondary);
}

.woocommerce-cart table.cart img {
    width: auto;
}

.woocommerce table.cart td.actions .coupon {
    display: flex;
}

.wooinner.checkout-page .woocommerce {
    display: block;
}

#order_review_heading {
    margin: 20px 0;
}

#payment {
    margin-top: 20px;
}

.woocommerce #respond input#submit.alt,
.woocommerce button.button.alt,
.woocommerce input.button.alt {
    background: #404040;
    border: 1px solid #404040;
    color: #fff;
    font-weight: 400;
    font-size: 16px;
    outline: none;
    padding: 10px 20px;
    transition: all .2s;
    border-radius: 4px;
    text-align: center;
    display: block;
}

.woocommerce #respond input#submit.alt:hover,
.woocommerce button.button.alt:hover,
.woocommerce input.button.alt:hover {
    background: #000;
}

.woocommerce-account .woocommerce::after,
.woocommerce-account .woocommerce::before {
    display: none;
}

.woocommerce .star-rating {
    float: none;
    overflow: visible;
    height: auto;
    width: auto;
}

.cart-empty-dg .woocommerce.wp-block-group.alignwide {
    display: block;
}

.wooinner .woocommerce .cart-empty.woocommerce-info {
    width: calc(100% - 88px);
}

@media (max-width: 768px) {
    .wooinner .woocommerce {
        flex-wrap: wrap;
        gap: 20px;
        border-width: 0;
        padding: 12px 16px;
        margin: 0;

    }

    .woocommerce table.shop_table_responsive tbody tr:first-child td:first-child,
    .woocommerce-page table.shop_table_responsive tbody tr:first-child td:first-child {
        border-top: 1px solid var(--color-secondary);
    }

    .woocommerce table.shop_table td {
        padding: 12px;
    }

    .woocommerce a.remove {
        margin-left: auto;
    }

    .woocommerce table.cart .product-thumbnail {
        display: block;
    }

    .woocommerce table.cart .product-thumbnail:before {
        display: none;
    }

    .woocommerce table.cart img {
        width: 100%;
    }

    .coupon {
        display: flex;
    }

    .coupon .input-text {
        width: 100% !important;
        max-width: 120px;
    }

    .coupon .button {
        width: 100% !important;
    }

    .woocommerce-notices-wrapper {
        bottom: 40px;
    }

    .woocommerce-error,
    .woocommerce-info,
    .woocommerce-message {
        display: flex;
        flex-direction: column-reverse;
        padding: 1em 2em 1em 2.5em;
    }

    .woocommerce-error::before,
    .woocommerce-info::before,
    .woocommerce-message::before {
        left: 0.5em;
    }

    .woocommerce-error .button,
    .woocommerce-info .button,
    .woocommerce-message .button {
        float: none;
        text-decoration: underline;
        width: 100%;
        display: block;
        margin: auto;
        margin-top: 10px;
    }

    .woocommerce-notices-wrapper .woocommerce-message .button {
        float: none;
        text-decoration: underline;
        width: 100%;
        display: block;
        margin: auto;
        margin-top: 0;

        padding: 0;
        padding-top: 10px;
        background-color: transparent;
    }

    .cart_totals h2 {
        margin-top: 20px;
    }

    .wooinner {
        min-height: auto;
    }

    .return-to-shop {
        width: 100%;
    }

    a.button.wc-backward {
        width: calc(100% - 40px);
    }

    .filter-section__label {
        display: none;
    }

    .account-page .woocommerce {
        display: flex;
        gap: 20px;
        flex-wrap: wrap;
    }

    .woocommerce-MyAccount-navigation {
        width: 100%;
    }

    .woocommerce-MyAccount-content {
        width: 100%;
    }

    .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
        display: flex;
        flex-direction: column;
        align-items: start;
        text-align: left;
        padding: 0;
    }

    .woocommerce-order-overview.woocommerce-thankyou-order-details.order_details li {
        margin-bottom: 8px;
        border-width: 0;
    }

    .wooinner.checkout-page .section-content .woocommerce {
        padding: 0;
    }

    .wooinner .woocommerce .cart-empty.woocommerce-info {
	    width: calc(100% - 72px);
    }
}

/* Price Filter */
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle {
	background-color: #ffffff;
	border: 1px solid #000000;
}

.woocommerce .widget_price_filter .ui-slider .ui-slider-range {
	background-color: #000000;
}

.woocommerce .widget_price_filter .price_slider_wrapper .ui-widget-content {
	background-color: #f5f3f1;
}

.woocommerce .widget_price_filter .price_slider_amount .button {
	background: #404040;
    border: 1px solid #404040;
    color: #fff;
    font-weight: 400;
    font-size: 16px;
    outline: none;
    padding: 10px 20px;
    transition: all .2s;
    border-radius: 4px;
    text-align: center;
    display: block;
}

.woocommerce .widget_price_filter .price_slider_amount .button:hover {
    background-color: #fff;
    color: #404040;
}

.woocommerce .cart .button {
    margin-left: auto;
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit,
body .woocommerce-EditAccountForm button.woocommerce-Button,
.woocommerce a.button,
.woocommerce a.button.alt,
.woocommerce .cart .button,
.woocommerce button.button.alt {
    outline: none;
    display: block;
    cursor: pointer;
    box-shadow: none;
    text-align: center;
    height: var(--height-middle-px);
    padding: var(--pd-x-y-small);
    font-size: var(--txt-main);
    transition: var(--transition-2s);
    color: var(--color-landsc);
    font-weight: var(--font-weight-500);
    background-color: var(--color-primary);
    border-radius: var(--radius-small);
    -moz-border-radius: var(--radius-small);
    -webkit-border-radius: var(--radius-small);
    border: var(--border-min) var(--border-solid) var(--color-secondary);
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit:active,
body .woocommerce-EditAccountForm button.woocommerce-Button:active,
.woocommerce a.button:active,
.woocommerce a.button.alt:active,
.woocommerce .cart .button:active,
.woocommerce button.button.alt:active {
    background-color: var(--color-secondary-800);
    color: var(--color-txt-300);
    border: var(--border-min) var(--border-solid) var(--color-secondary-500);
}

.woocommerce .woocommerce-form-login .woocommerce-form-login__submit:disabled,
body .woocommerce-EditAccountForm button.woocommerce-Button:disabled,
.woocommerce a.button:disabled,
.woocommerce a.button.alt:disabled,
.woocommerce .cart .button:disabled,
.woocommerce button.button.alt:disabled {
  cursor: not-allowed;
  color: var(--color-txt-300);
  opacity: var(--opacity-1);
  border: var(--border-min) var(--border-solid) var(--color-accent-500);
  background-color: var(--color-secondary-100);
}


.woocommerce .woocommerce-form-login .woocommerce-form-login__submit:hover,
body .woocommerce-EditAccountForm button.woocommerce-Button:hover,
.woocommerce a.button.alt:hover,
.woocommerce .cart .button:hover,
.woocommerce button.button.alt:hover {
    background-color: var(--color-accent);
}

.woocommerce a.button,
.woocommerce a.button.alt {
    display: flex;
    align-items: center;
    justify-content: center;
}

.woocommerce form .form-row .input-text {
    text-align: left;
    font-size: var(--txt-main);
    color: var(--color-txt-main);
    width: var(--width-bl-100);
    height: var(--height-middle-px);
    padding: var(--pd-x-y-small);
    border-radius: var(--radius-small);
    -moz-border-radius: var(--radius-small);
    -webkit-border-radius: var(--radius-small);
    background: var(--color-light);
    border: var(--border-min) var(--border-solid) var(--color-secondary);
}

.woocommerce form .form-row textarea.input-text {
    min-height: 150px;
}

.woocommerce-info, .woocommerce-error {
    border-top-color: var(--color-accent);
    background-color: var(--color-landsc);
    color: var(--color-txt-main);
}

.woocommerce-info::before {
    color: var(--color-primary);
}

.woocommerce-checkout #payment {
    background: var(--color-landsc);
}

.woocommerce-checkout #payment div.payment_box {
    color: var(--color-landsc);
    background-color: var(--color-primary);
}

.woocommerce-checkout #payment div.payment_box::before {
    border: 1em solid var(--color-primary);
    border-right-color: transparent;
    border-left-color: transparent;
    border-top-color: transparent;
}

.woocommerce table.shop_table td {
    border: 1px solid var(--color-secondary);
}

.woocommerce table.shop_table tfoot th {
    border: 1px solid var(--color-secondary);
}

.woocommerce-error::before {
    color: var(--color-primary);
}

.woocommerce a.remove {
    color: var(--color-accent) !important;
}

.woocommerce #review_form #respond textarea {
    border-radius: var(--radius-small);
  -moz-border-radius: var(--radius-small);
  -webkit-border-radius: var(--radius-small);
  border: var(--border-min) var(--border-solid) var(--color-secondary);
}